org.apache.cassandra.cql.hooks

## Interface PostPreparationHook

-     public interface PostPreparationHook

  Run directly after a CQL Statement is prepared in `QueryProcessor`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processStatement(CQLStatement statement, PreparationContext context)` Called in QueryProcessor, once a CQL statement has been prepared.

- - ### Method Detail

    - #### processStatement

          void processStatement(CQLStatement statement,
                              PreparationContext context)
                                throws RequestValidationException

      Called in QueryProcessor, once a CQL statement has been prepared.
      Parameters:
        `statement` - the statement to perform additional processing on
        `context` - preparation context containing additional info about the operation and statement
      Throws:
        `RequestValidationException`

Copyright © 2014 The Apache Software Foundation